# Uses of Interface
org.italiangrid.voms.ac.impl.LocalHostnameResolver

Packages that use LocalHostnameResolver
Package
Description
org.italiangrid.voms.ac.impl
Implementation classes for VOMS attributes validation and parsing.

## Uses of LocalHostnameResolver in org.italiangrid.voms.ac.impl

Classes in org.italiangrid.voms.ac.impl that implement LocalHostnameResolver
Modifier and Type
Class
Description
`class`
`DefaultLocalHostnameResolver`
The default implementation for localhost name resolver.
Constructors in org.italiangrid.voms.ac.impl with parameters of type LocalHostnameResolver
Modifier
Constructor
Description
``
`DefaultVOMSValidationStrategy(VOMSTrustStore store, eu.emi.security.authn.x509.X509CertChainValidatorExt validator, LocalHostnameResolver resolver)`